---
title: Point
slug: Web/API/Point
tags:
  - API
  - CSS Transforms
  - CSS3 Transforms
  - Interface
  - Non-standard
  - Point
  - Reference
---
<div>{{APIRef("CSS3 Transforms")}}{{Non-standard_header}}</div>

<p><strong><code>Point</code></strong> is an interface, which existed only briefly in the {{SpecName("CSS3 Transforms")}} specification, which represents a point in 2-dimensional space. It is non-standard, not broadly compatible, and should not be used.</p>

<div class="note">
<p>Although it is not directly related to this defunct interface, you are probably looking for {{domxref("DOMPoint")}}, which is part of the {{SpecName("Geometry Interfaces")}} specification.</p>
</div>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>x</code></dt>
 <dd>A floating-point value specifying the point's position with respect to the X (horizontal) axis.</dd>
 <dt><code>y</code></dt>
 <dd>A floating-point value specifying the point's position with respect to the Y (vertical) axis.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>This class was specified in <a href="http://www.w3.org/TR/2009/WD-css3-2d-transforms-20090320/">the defunct 20 March 2009 Working Draft of CSS 2D Transforms Module Level 3</a>. It is not present in the current working draft of the {{SpecName("CSS3 Transforms")}} specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Point")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.convertPointFromNodeToPage()")}}</li>
 <li>{{domxref("Window.convertPointFromPageToNode()")}}</li>
 <li><a href="https://msdn.microsoft.com/en-us/library/ie/dn760730(v=vs.85).aspx"><code>WebKitPoint</code> documentation at the IE Dev Center</a></li>
</ul>
